Docs
Product Repository APIMerchant Product Attribute

Returns a list of merchant product attributes

Security groups:Local Product ReadersGlobal Product Readers
GET
/products/merchant-product-attributes

Returns a list of merchant product attributes.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/products/merchant-product-attributes"
{
  "merchantAttribute": [
    {
      "isLanguageSpecific": false,
      "format": "URL",
      "fieldName": "websiteUrl",
      "displayName": "Website URL",
      "description": "Link to the merchant's official website",
      "tags": [
        "contact",
        "external-link"
      ],
      "objectType": "Text"
    }
  ]
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}